#### Previous topic

scipy.stats.mstats.ttest_onesamp

#### Next topic

scipy.stats.mstats.ttest_rel

# scipy.stats.mstats.ttest_ind

`scipy.stats.mstats.``ttest_ind`(a, b, axis=0, equal_var=True)

  Calculates the T-test for the means of TWO INDEPENDENT samples of scores.

  Parameters:

  a, b : array_like

  > The arrays must have the same shape, except in the dimension corresponding to axis (the first, by default).

  axis : int or None, optional

  > Axis along which to compute test. If None, compute over the whole arrays, a, and b.

  equal_var : bool, optional

  > If True, perform a standard independent 2 sample test that assumes equal population variances. If False, perform Welch’s t-test, which does not assume equal population variance. .. versionadded:: 0.17.0

  Returns:

  statistic : float or array

  > The calculated t-statistic.

  pvalue : float or array

  > The two-tailed p-value.

  Notes

  For more details on `ttest_ind`, see stats.ttest_ind.